<template>
    <div class="field-wrapper modal-mb-default">
        <label class="modal-form-label">Статус контроля</label>
        <el-radio-group size="mini" @change="update" v-model="task.mark">
            <el-radio-button v-for="value of $store.getters['task/getMark']" :key="value" :label="value">{{value}}</el-radio-button>
        </el-radio-group>
    </div>
</template>

<script lang="ts">

import Component from 'vue-class-component'
import Vue from 'vue'
import {dispatch} from '@/store'
import {mapGetters} from "vuex"

@Component({
    computed: {
        ...mapGetters('task', {task: 'getTask'})
    }
})
export default class Mark extends Vue {

    private taskId: number = +this.$route.query.taskId

    update(value: string) {
        dispatch('task/changeMark', {taskId: this.taskId, mark: value})
            .then(() => dispatch('task/getById', this.taskId))
    }
}
</script>
